//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: cull_render_state.hpp
//      Краткое описание: Culling type state block
//

#ifndef DSE_GS_RENDER_STATE_CULL_MODE_RENDER_STATE_HPP
#define DSE_GS_RENDER_STATE_CULL_MODE_RENDER_STATE_HPP

#include <Darkstar/common.hpp>
#include <Darkstar/Graphic System/Render State/common_render_state.hpp>

namespace gs
{
	class CullModeRenderState
	{
	private:
		DCULL cull_mode;
	public:
		CullModeRenderState();
		CullModeRenderState(const CullModeRenderState& cm);
		CullModeRenderState(const DCULL& cullMode);
		~CullModeRenderState();

		bool operator==(const CullModeRenderState& state) const;

		void setCullMode(const DCULL& cullMode);
		const DCULL& getCullMode() const;

		void set();
	};
};

#endif
